package com.ruoyi.project.training.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 培训计划未参加人员对象 t_training_non
 *
 * @author ruoyi
 * @date 2021-05-26
 */
public class TTrainingNon extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    private Date createdate;

    /** 修改人 */
    private String updaterCode;

    /** 修改时间 */
    private Date updatedate;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 培训日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "培训日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date trainingDate;

    /** 人员id */
    @Excel(name = "人员id")
    private String staffId;

    /** 人员姓名 */
    private String name;

    /** 培训id */
    @Excel(name = "培训id")
    private Long trainingId;

    /** 补培讲师id */
    @Excel(name = "补培讲师id")
    private String trainingStaff;

    /** 是否为新员工补培（0为未参培，1为新员工） */
    private String isNew;

    /** 补培讲师姓名 */
    private String staffName;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setTrainingDate(Date trainingDate)
    {
        this.trainingDate = trainingDate;
    }

    public Date getTrainingDate()
    {
        return trainingDate;
    }
    public void setStaffId(String staffId)
    {
        this.staffId = staffId;
    }

    public String getStaffId()
    {
        return staffId;
    }
    public String getName() { return name; }

    public void setName(String name) { this.name = name; }
    public void setTrainingId(Long trainingId)
    {
        this.trainingId = trainingId;
    }

    public Long getTrainingId()
    {
        return trainingId;
    }
    public String getTrainingStaff() { return trainingStaff; }

    public void setTrainingStaff(String trainingStaff) { this.trainingStaff = trainingStaff; }
    public String getStaffName() { return staffName; }

    public void setStaffName(String staffName) { this.staffName = staffName; }
    public String getIsNew() { return isNew; }

    public void setIsNew(String isNew) { this.isNew = isNew; }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("delFlag", getDelFlag())
                .append("createrCode", getCreaterCode())
                .append("createdate", getCreatedate())
                .append("updaterCode", getUpdaterCode())
                .append("updatedate", getUpdatedate())
                .append("remarks", getRemarks())
                .append("trainingDate", getTrainingDate())
                .append("staffId", getStaffId())
                .append("trainingId", getTrainingId())
                .append("trainingStaff", getTrainingStaff())
                .append("isNew", getIsNew())
                .toString();
    }
}
